	SUBROUTINE NX_IFPT  ( rimnem, cimnem, iret )
C************************************************************************
C* NX_IFPT								*
C*									*
C* This subroutine prints the interface values arrays to the decoder	*
C* log if the verbosity level is 3 or higher.				*
C*									*
C* NX_IFPT  ( IRET )							*
C*									*
C* Output parameters:							*
C*	IRET		INTEGER		Return code 			*
C*					  0 = normal return 		*
C*									*
C**									*
C* Log:									*
C* J. Ator/NCEP		04/98						*
C* R. Hollern/NCEP       1/99   Added intf arrays to calling sequence   *
C************************************************************************
	INCLUDE		'GEMPRM.PRM'
	INCLUDE		'nxcmn.cmn'
C*
        CHARACTER*(*)    rimnem (*), cimnem (*)
C-----------------------------------------------------------------------
	iret = 0
C
C*	Print out all of the character interface values that are
C*	not "missing".
C
	CALL DC_IFPC  ( 3, cimnem, civals, NCIMN, ierfpc )
C
C*	Print out all of the single-level real interface values
C*	that are not "missing".
C
	CALL DC_IFPR  ( 3, rimnem, rivals, NRSIMN, ierfpr )
C
C*	Print out all of the multi-level real interface values.
C
	IF  ( rivals ( irnpbw ) .gt. 0 )  THEN
C
	    WRITE ( UNIT = logmsg, FMT = '( 5A10 )' )
     +		rimnem ( irnpbw ),
     +		rimnem ( irhgtm (1) ), rimnem ( irdrct (1) ),
     +		rimnem ( irsknt (1) ), rimnem ( irrmse (1) )
	    CALL DC_WLOG  ( 3, 'NX', 1, logmsg, ierwlg )
	    WRITE ( UNIT = logmsg, FMT = '( 5F10.2 )' )
     +		rivals ( irnpbw ),
     +		rivals ( irhgtm (1) ), rivals ( irdrct (1) ),
     +		rivals ( irsknt (1) ), rivals ( irrmse (1) )
	    CALL DC_WLOG  ( 3, 'NX', 1, logmsg, ierwlg )
C
	    IF  ( rivals ( irnpbw ) .gt. 1 )  THEN
		DO jj = 2, rivals ( irnpbw )
		    WRITE ( UNIT = logmsg, FMT = '( 10X, 4F10.2 )' )
     +		     rivals ( irhgtm ( jj ) ), rivals ( irdrct ( jj ) ),
     +		     rivals ( irsknt ( jj ) ), rivals ( irrmse ( jj ) )
		    CALL DC_WLOG  ( 3, 'NX', 1, logmsg, ierwlg )
		END DO
	    END IF
C
	END IF
C*
	RETURN
	END
